--- old/./mr_sas_tbolt.c	Tue Nov  6 14:29:40 2012
+++ new/./mr_sas_tbolt.c	Tue Nov  6 14:29:40 2012
@@ -1274,11 +1259,11 @@
 	if (numElements > instance->max_num_sge) {
 		con_log(CL_ANN, (CE_NOTE,
 		    "[Max SGE Count Exceeded]:%x", numElements));
-		return (numElements);	
+		return (numElements);
 	}
 
-	ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-	    &scsi_raid_io->RaidContext.numSGE, (uint8_t)numElements);
+	ddi_put8(acc_handle, &scsi_raid_io->RaidContext.numSGE,
+	    (uint8_t)numElements);
 
 	/* set end element in main message frame */
 	endElement = (numElements <= MaxSGEs) ? numElements : (MaxSGEs - 1);
@@ -1290,33 +1275,31 @@
 	if (instance->device_id == PCI_DEVICE_ID_LSI_INVADER) {
 		Mpi25IeeeSgeChain64_t *sgl_ptr_end = scsi_raid_io_sgl_ieee;
 		sgl_ptr_end += instance->max_sge_in_main_msg - 1;
-		
-		ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-		    &sgl_ptr_end->Flags, 0);
+
+		ddi_put8(acc_handle, &sgl_ptr_end->Flags, 0);
 	}
 
 	for (i = 0; i < endElement; i++, scsi_raid_io_sgl_ieee++) {
-		ddi_put64(instance->mpi2_frame_pool_dma_obj.acc_handle,
-		    &scsi_raid_io_sgl_ieee->Address,
+		ddi_put64(acc_handle, &scsi_raid_io_sgl_ieee->Address,
 		    acmd->cmd_dmacookies[i].dmac_laddress);
 
-		ddi_put32(instance->mpi2_frame_pool_dma_obj.acc_handle,
-		    &scsi_raid_io_sgl_ieee->Length,
+		ddi_put32(acc_handle, &scsi_raid_io_sgl_ieee->Length,
 		    acmd->cmd_dmacookies[i].dmac_size);
 
-		ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-		    &scsi_raid_io_sgl_ieee->Flags, 0);
-        
+		ddi_put8(acc_handle, &scsi_raid_io_sgl_ieee->Flags, 0);
+
 		if (instance->device_id == PCI_DEVICE_ID_LSI_INVADER) {
-			if (i == (numElements - 1))
-				ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-					&scsi_raid_io_sgl_ieee->Flags, IEEE_SGE_FLAGS_END_OF_LIST);
+			if (i == (numElements - 1)) {
+				ddi_put8(acc_handle,
+				    &scsi_raid_io_sgl_ieee->Flags,
+				    IEEE_SGE_FLAGS_END_OF_LIST);
+			}
 		}
 
 		*datalen += acmd->cmd_dmacookies[i].dmac_size;
 
 #ifdef DEBUG
-		con_log(CL_DLEVEL1, (CE_NOTE, "[SGL Address]:%llx",
+		con_log(CL_DLEVEL1, (CE_NOTE, "[SGL Address]: %" PRIx64,
 		    scsi_raid_io_sgl_ieee->Address));
 		con_log(CL_DLEVEL1, (CE_NOTE, "[SGL Length]:%x",
 		    scsi_raid_io_sgl_ieee->Length));
@@ -1326,51 +1309,49 @@
 
 	}
 
-	ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-	    &scsi_raid_io->ChainOffset, 0);
+	ddi_put8(acc_handle, &scsi_raid_io->ChainOffset, 0);
 
 	/* check if chained SGL required */
 	if (i < numElements) {
 
 		con_log(CL_ANN1, (CE_NOTE, "[Chain Element index]:%x", i));
-        
+
 		if (instance->device_id == PCI_DEVICE_ID_LSI_INVADER) {
-			uint16_t	ioFlags = ddi_get16(instance->mpi2_frame_pool_dma_obj.acc_handle,
-				                      &scsi_raid_io->IoFlags);
+			uint16_t ioFlags =
+			    ddi_get16(acc_handle, &scsi_raid_io->IoFlags);
 
-			if ((ioFlags & MPI25_SAS_DEVICE0_FLAGS_ENABLED_FAST_PATH) != MPI25_SAS_DEVICE0_FLAGS_ENABLED_FAST_PATH)
-				ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-					&scsi_raid_io->ChainOffset, (U8)instance->chain_offset_io_req);
-			else
-				ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-					&scsi_raid_io->ChainOffset, 0);
+			if ((ioFlags &
+			    MPI25_SAS_DEVICE0_FLAGS_ENABLED_FAST_PATH) !=
+			    MPI25_SAS_DEVICE0_FLAGS_ENABLED_FAST_PATH) {
+				ddi_put8(acc_handle, &scsi_raid_io->ChainOffset,
+				    (U8)instance->chain_offset_io_req);
+			} else {
+				ddi_put8(acc_handle,
+				    &scsi_raid_io->ChainOffset, 0);
+			}
+		} else {
+			ddi_put8(acc_handle, &scsi_raid_io->ChainOffset,
+			    (U8)instance->chain_offset_io_req);
 		}
-		else {
-			ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-				&scsi_raid_io->ChainOffset, (U8)instance->chain_offset_io_req);
-		}
 
 		/* prepare physical chain element */
-		ieeeChainElement  = scsi_raid_io_sgl_ieee;
+		ieeeChainElement = scsi_raid_io_sgl_ieee;
 
-		ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-		    &ieeeChainElement->NextChainOffset, 0);
+		ddi_put8(acc_handle, &ieeeChainElement->NextChainOffset, 0);
 
- 		if (instance->device_id == PCI_DEVICE_ID_LSI_INVADER) 
-			ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-				&ieeeChainElement->Flags, IEEE_SGE_FLAGS_CHAIN_ELEMENT );
-		else
-			ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-				&ieeeChainElement->Flags,
-				(IEEE_SGE_FLAGS_CHAIN_ELEMENT |
-                   MPI2_IEEE_SGE_FLAGS_IOCPLBNTA_ADDR));
+		if (instance->device_id == PCI_DEVICE_ID_LSI_INVADER) {
+			ddi_put8(acc_handle, &ieeeChainElement->Flags,
+			    IEEE_SGE_FLAGS_CHAIN_ELEMENT);
+		} else {
+			ddi_put8(acc_handle, &ieeeChainElement->Flags,
+			    (IEEE_SGE_FLAGS_CHAIN_ELEMENT |
+			    MPI2_IEEE_SGE_FLAGS_IOCPLBNTA_ADDR));
+		}
 
-		ddi_put32(instance->mpi2_frame_pool_dma_obj.acc_handle,
-		    &ieeeChainElement->Length,
+		ddi_put32(acc_handle, &ieeeChainElement->Length,
 		    (sizeof (MPI2_SGE_IO_UNION) * (numElements - i)));
 
-		ddi_put64(instance->mpi2_frame_pool_dma_obj.acc_handle,
-		    &ieeeChainElement->Address,
+		ddi_put64(acc_handle, &ieeeChainElement->Address,
 		    (U64)cmd->sgl_phys_addr);
 
 		sg_to_process = numElements - i;
@@ -1385,21 +1366,20 @@
 		for (j = 0; j < sg_to_process; j++, scsi_raid_io_sgl_ieee++) {
 			con_log(CL_DLEVEL3, (CE_NOTE, "[remaining SGL]:%x", i));
 
-			ddi_put64(instance->mpi2_frame_pool_dma_obj.acc_handle,
-			    &scsi_raid_io_sgl_ieee->Address,
+			ddi_put64(acc_handle, &scsi_raid_io_sgl_ieee->Address,
 			    acmd->cmd_dmacookies[i].dmac_laddress);
 
-			ddi_put32(instance->mpi2_frame_pool_dma_obj.acc_handle,
-			    &scsi_raid_io_sgl_ieee->Length,
+			ddi_put32(acc_handle, &scsi_raid_io_sgl_ieee->Length,
 			    acmd->cmd_dmacookies[i].dmac_size);
 
-			ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-			    &scsi_raid_io_sgl_ieee->Flags, 0);
+			ddi_put8(acc_handle, &scsi_raid_io_sgl_ieee->Flags, 0);
 
 			if (instance->device_id == PCI_DEVICE_ID_LSI_INVADER) {
-				if (i == (numElements - 1))
-					ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-						&scsi_raid_io_sgl_ieee->Flags, IEEE_SGE_FLAGS_END_OF_LIST);
+				if (i == (numElements - 1)) {
+					ddi_put8(acc_handle,
+					    &scsi_raid_io_sgl_ieee->Flags,
+					    IEEE_SGE_FLAGS_END_OF_LIST);
+				}
 			}
 
 			*datalen += acmd->cmd_dmacookies[i].dmac_size;
@@ -1406,7 +1386,7 @@
 
 #if DEBUG
 			con_log(CL_DLEVEL1, (CE_NOTE,
-			    "[SGL Address]:%llx",
+			    "[SGL Address]: %" PRIx64,
 			    scsi_raid_io_sgl_ieee->Address));
 			con_log(CL_DLEVEL1, (CE_NOTE,
 			    "[SGL Length]:%x", scsi_raid_io_sgl_ieee->Length));
@@ -1425,31 +1405,24 @@
 /*
  * build_cmd
  */
-struct mrsas_cmd *
+static struct mrsas_cmd *
 mrsas_tbolt_build_cmd(struct mrsas_instance *instance, struct scsi_address *ap,
     struct scsi_pkt *pkt, uchar_t *cmd_done)
 {
 	uint8_t		fp_possible = 0;
-	uint16_t	flags = 0;
-	uint32_t	i, index;
-	uint32_t 	context;
-	uint32_t	sge_bytes;
-	uint8_t		ChainOffsetValue;
-	uint32_t	SGLFlags;
-	uint32_t	lba_count=0;
-	uint32_t	start_lba_hi=0; 
-	uint32_t	start_lba_lo=0;
-	ddi_acc_handle_t acc_handle;
+	uint32_t	index;
+	uint32_t	lba_count = 0;
+	uint32_t	start_lba_hi = 0;
+	uint32_t	start_lba_lo = 0;
+	ddi_acc_handle_t acc_handle =
+	    instance->mpi2_frame_pool_dma_obj.acc_handle;
 	struct mrsas_cmd		*cmd = NULL;
 	struct scsa_cmd			*acmd = PKT2CMD(pkt);
-	MRSAS_REQUEST_DESCRIPTOR_UNION 	*ReqDescUnion;
-	Mpi2RaidSCSIIORequest_t 	*scsi_raid_io;
-	Mpi25IeeeSgeChain64_t		*scsi_raid_io_sgl_ieee;
+	MRSAS_REQUEST_DESCRIPTOR_UNION	*ReqDescUnion;
+	Mpi2RaidSCSIIORequest_t		*scsi_raid_io;
 	uint32_t			datalen;
 	struct IO_REQUEST_INFO io_info;
 	MR_FW_RAID_MAP_ALL *local_map_ptr;
-	MR_LD_RAID *raid;
-	U32	ld;
 	uint16_t pd_cmd_cdblen;
 
 	con_log(CL_DLEVEL1, (CE_NOTE,
@@ -1467,7 +1440,7 @@
 	}
 
 	index = cmd->index;
-	ReqDescUnion =  mr_sas_get_request_descriptor(instance, index, cmd);
+	ReqDescUnion =	mr_sas_get_request_descriptor(instance, index);
 	ReqDescUnion->Words = 0;
 	ReqDescUnion->SCSIIO.SMID = cmd->SMID;
 	ReqDescUnion->SCSIIO.RequestFlags =
@@ -1493,34 +1466,30 @@
 			    DDI_DMA_SYNC_FORCPU);
 		}
 	} else {
-		con_log(CL_ANN, (CE_NOTE, "NO DMA\n"));
+		con_log(CL_ANN, (CE_NOTE, "NO DMA"));
 	}
 
 
-	// get SCSI_IO raid message frame pointer
+	/* get SCSI_IO raid message frame pointer */
 	scsi_raid_io = (Mpi2RaidSCSIIORequest_t *)cmd->scsi_io_request;
 
 	/* zero out SCSI_IO raid message frame */
-	memset(scsi_raid_io, 0, sizeof(Mpi2RaidSCSIIORequest_t));
+	bzero(scsi_raid_io, sizeof (Mpi2RaidSCSIIORequest_t));
 
-	/*Set the ldTargetId set by BuildRaidContext() */
-	ddi_put16(instance->mpi2_frame_pool_dma_obj.acc_handle,
-		    &scsi_raid_io->RaidContext.ldTargetId,
-		    acmd->device_id);
+	/* Set the ldTargetId set by BuildRaidContext() */
+	ddi_put16(acc_handle, &scsi_raid_io->RaidContext.ldTargetId,
+	    acmd->device_id);
 
 	/*  Copy CDB to scsi_io_request message frame */
-	ddi_rep_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-		    (uint8_t *)pkt->pkt_cdbp,
-		    (uint8_t *)scsi_raid_io->CDB.CDB32,
-		    acmd->cmd_cdblen, DDI_DEV_AUTOINCR);
+	ddi_rep_put8(acc_handle,
+	    (uint8_t *)pkt->pkt_cdbp, (uint8_t *)scsi_raid_io->CDB.CDB32,
+	    acmd->cmd_cdblen, DDI_DEV_AUTOINCR);
 
-	/* 
-	* Just the CDB length,rest of the Flags are zero
-	* This will be modified later.
-	*/
-	ddi_put16(instance->mpi2_frame_pool_dma_obj.acc_handle,
-	   	    &scsi_raid_io->IoFlags,
-	   	    acmd->cmd_cdblen);     
+	/*
+	 * Just the CDB length, rest of the Flags are zero
+	 * This will be modified later.
+	 */
+	ddi_put16(acc_handle, &scsi_raid_io->IoFlags, acmd->cmd_cdblen);
 
 	pd_cmd_cdblen = acmd->cmd_cdblen;
 
@@ -1534,127 +1503,136 @@
 	case SCMD_READ_G5:
 	case SCMD_WRITE_G5:
 
-	if (acmd->islogical) {
-		/* Initialize sense Information */
-		if (cmd->sense1 == NULL) {
-			con_log(CL_ANN, (CE_NOTE,
-				"tbolt_build_cmd: Sense buffer ptr NULL \n"));
-		}
-		bzero(cmd->sense1, SENSE_LENGTH);
-		con_log(CL_DLEVEL2, (CE_NOTE,
-		    "tbolt_build_cmd CDB[0] = %x\n", pkt->pkt_cdbp[0]));
+		if (acmd->islogical) {
+			/* Initialize sense Information */
+			if (cmd->sense1 == NULL) {
+				con_log(CL_ANN, (CE_NOTE, "tbolt_build_cmd: "
+				    "Sense buffer ptr NULL "));
+			}
+			bzero(cmd->sense1, SENSE_LENGTH);
+			con_log(CL_DLEVEL2, (CE_NOTE, "tbolt_build_cmd "
+			    "CDB[0] = %x\n", pkt->pkt_cdbp[0]));
 
-		if (acmd->cmd_cdblen == CDB_GROUP0) {			/* 6-byte cdb */
-			lba_count = (uint16_t)(pkt->pkt_cdbp[4]);
-			start_lba_lo =
-			    ((uint32_t)(pkt->pkt_cdbp[3]) |
-			    ((uint32_t)(pkt->pkt_cdbp[2]) << 8) |
-			    ((uint32_t)((pkt->pkt_cdbp[1]) & 0x1F) << 16));
-		} else if (acmd->cmd_cdblen == CDB_GROUP1) {		/* 10-byte cdb */
-			lba_count =
-			    (((uint16_t)(pkt->pkt_cdbp[8])) |
-			    ((uint16_t)(pkt->pkt_cdbp[7]) << 8));
+			if (acmd->cmd_cdblen == CDB_GROUP0) {
+				/* 6-byte cdb */
+				lba_count = (uint16_t)(pkt->pkt_cdbp[4]);
+				start_lba_lo = ((uint32_t)(pkt->pkt_cdbp[3]) |
+				    ((uint32_t)(pkt->pkt_cdbp[2]) << 8) |
+				    ((uint32_t)((pkt->pkt_cdbp[1]) & 0x1F)
+				    << 16));
+			} else if (acmd->cmd_cdblen == CDB_GROUP1) {
+				/* 10-byte cdb */
+				lba_count =
+				    (((uint16_t)(pkt->pkt_cdbp[8])) |
+				    ((uint16_t)(pkt->pkt_cdbp[7]) << 8));
 
-			start_lba_lo =
-			    (((uint32_t)(pkt->pkt_cdbp[5])) |
-			    ((uint32_t)(pkt->pkt_cdbp[4]) << 8) |
-			    ((uint32_t)(pkt->pkt_cdbp[3]) << 16) |
-			    ((uint32_t)(pkt->pkt_cdbp[2]) << 24));
+				start_lba_lo =
+				    (((uint32_t)(pkt->pkt_cdbp[5])) |
+				    ((uint32_t)(pkt->pkt_cdbp[4]) << 8) |
+				    ((uint32_t)(pkt->pkt_cdbp[3]) << 16) |
+				    ((uint32_t)(pkt->pkt_cdbp[2]) << 24));
 
-		} else if (acmd->cmd_cdblen == CDB_GROUP5) {		/* 12-byte cdb */
-			lba_count = (
-			    ((uint32_t)(pkt->pkt_cdbp[9])) |
-			    ((uint32_t)(pkt->pkt_cdbp[8]) << 8) |
-			    ((uint32_t)(pkt->pkt_cdbp[7]) << 16) |
-			    ((uint32_t)(pkt->pkt_cdbp[6]) << 24));
+			} else if (acmd->cmd_cdblen == CDB_GROUP5) {
+				/* 12-byte cdb */
+				lba_count = (
+				    ((uint32_t)(pkt->pkt_cdbp[9])) |
+				    ((uint32_t)(pkt->pkt_cdbp[8]) << 8) |
+				    ((uint32_t)(pkt->pkt_cdbp[7]) << 16) |
+				    ((uint32_t)(pkt->pkt_cdbp[6]) << 24));
 
-			start_lba_lo =
-			    (((uint32_t)(pkt->pkt_cdbp[5])) |
-			    ((uint32_t)(pkt->pkt_cdbp[4]) << 8) |
-			    ((uint32_t)(pkt->pkt_cdbp[3]) << 16) |
-			    ((uint32_t)(pkt->pkt_cdbp[2]) << 24));
+				start_lba_lo =
+				    (((uint32_t)(pkt->pkt_cdbp[5])) |
+				    ((uint32_t)(pkt->pkt_cdbp[4]) << 8) |
+				    ((uint32_t)(pkt->pkt_cdbp[3]) << 16) |
+				    ((uint32_t)(pkt->pkt_cdbp[2]) << 24));
 
-		} else if (acmd->cmd_cdblen == CDB_GROUP4) {		/* 16-byte cdb */
-			lba_count = (
-			    ((uint32_t)(pkt->pkt_cdbp[13])) |
-			    ((uint32_t)(pkt->pkt_cdbp[12]) << 8) |
-			    ((uint32_t)(pkt->pkt_cdbp[11]) << 16) |
-			    ((uint32_t)(pkt->pkt_cdbp[10]) << 24));
+			} else if (acmd->cmd_cdblen == CDB_GROUP4) {
+				/* 16-byte cdb */
+				lba_count = (
+				    ((uint32_t)(pkt->pkt_cdbp[13])) |
+				    ((uint32_t)(pkt->pkt_cdbp[12]) << 8) |
+				    ((uint32_t)(pkt->pkt_cdbp[11]) << 16) |
+				    ((uint32_t)(pkt->pkt_cdbp[10]) << 24));
 
-			start_lba_lo = (
-			    ((uint32_t)(pkt->pkt_cdbp[9])) |
-			    ((uint32_t)(pkt->pkt_cdbp[8]) << 8) |
-			    ((uint32_t)(pkt->pkt_cdbp[7]) << 16) |
-			    ((uint32_t)(pkt->pkt_cdbp[6]) << 24));
+				start_lba_lo = (
+				    ((uint32_t)(pkt->pkt_cdbp[9])) |
+				    ((uint32_t)(pkt->pkt_cdbp[8]) << 8) |
+				    ((uint32_t)(pkt->pkt_cdbp[7]) << 16) |
+				    ((uint32_t)(pkt->pkt_cdbp[6]) << 24));
 
-			start_lba_hi = (
-			    ((uint32_t)(pkt->pkt_cdbp[5])) |
-			    ((uint32_t)(pkt->pkt_cdbp[4]) << 8) |
-			    ((uint32_t)(pkt->pkt_cdbp[3]) << 16) |
-			    ((uint32_t)(pkt->pkt_cdbp[2]) << 24));
-		}
+				start_lba_hi = (
+				    ((uint32_t)(pkt->pkt_cdbp[5])) |
+				    ((uint32_t)(pkt->pkt_cdbp[4]) << 8) |
+				    ((uint32_t)(pkt->pkt_cdbp[3]) << 16) |
+				    ((uint32_t)(pkt->pkt_cdbp[2]) << 24));
+			}
 
-		if (instance->tbolt && 
-				((lba_count * 512) > mrsas_tbolt_max_cap_maxxfer) )
-			cmn_err(CE_WARN," IO SECTOR COUNT exceeds controller limit 0x%x sectors\n", lba_count);
+			if (instance->tbolt &&
+			    ((lba_count * 512) > mrsas_tbolt_max_cap_maxxfer)) {
+				cmn_err(CE_WARN, " IO SECTOR COUNT exceeds "
+				    "controller limit 0x%x sectors",
+				    lba_count);
+			}
 
-		memset(&io_info, 0, sizeof (struct IO_REQUEST_INFO));
-		io_info.ldStartBlock = ((uint64_t)start_lba_hi << 32) | start_lba_lo;
-		io_info.numBlocks = lba_count;
-		io_info.ldTgtId = acmd->device_id;
+			bzero(&io_info, sizeof (struct IO_REQUEST_INFO));
+			io_info.ldStartBlock = ((uint64_t)start_lba_hi << 32) |
+			    start_lba_lo;
+			io_info.numBlocks = lba_count;
+			io_info.ldTgtId = acmd->device_id;
 
-		if (acmd->cmd_flags & CFLAG_DMASEND)
-			io_info.isRead = 0;
-		else
-			io_info.isRead = 1;
+			if (acmd->cmd_flags & CFLAG_DMASEND)
+				io_info.isRead = 0;
+			else
+				io_info.isRead = 1;
 
-		
-		/*Aquire SYNC MAP UPDATE lock */
-		mutex_enter(&instance->sync_map_mtx);
 
-		local_map_ptr = instance->ld_map[(instance->map_id & 1)];
+			/* Acquire SYNC MAP UPDATE lock */
+			mutex_enter(&instance->sync_map_mtx);
 
-		if  ( (MR_TargetIdToLdGet(acmd->device_id, local_map_ptr) >= MAX_LOGICAL_DRIVES) || !instance->fast_path_io ){
-			cmn_err(CE_NOTE,
-			    	"Fast Path NOT Possible, targetId >= MAX_LOGICAL_DRIVES || !instance->fast_path_io\n");
-			fp_possible = 0;
-			/* Set Regionlock flags to BYPASS
-			io_request->RaidContext.regLockFlags  = 0; */
-			ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
+			local_map_ptr =
+			    instance->ld_map[(instance->map_id & 1)];
+
+			if ((MR_TargetIdToLdGet(
+			    acmd->device_id, local_map_ptr) >=
+			    MAX_LOGICAL_DRIVES) || !instance->fast_path_io) {
+				cmn_err(CE_NOTE, "Fast Path NOT Possible, "
+				    "targetId >= MAX_LOGICAL_DRIVES || "
+				    "!instance->fast_path_io");
+				fp_possible = 0;
+				/* Set Regionlock flags to BYPASS */
+				/* io_request->RaidContext.regLockFlags  = 0; */
+				ddi_put8(acc_handle,
 				    &scsi_raid_io->RaidContext.regLockFlags, 0);
-		} else {
-			if (MR_BuildRaidContext(instance, &io_info,
-			    		&scsi_raid_io->RaidContext, local_map_ptr))
-				fp_possible = io_info.fpOkForIo;
-		}
+			} else {
+				if (MR_BuildRaidContext(instance, &io_info,
+				    &scsi_raid_io->RaidContext, local_map_ptr))
+					fp_possible = io_info.fpOkForIo;
+			}
 
-		if (!enable_fp) {
-			fp_possible = 0;  
-		}
-		con_log(CL_ANN1, (CE_NOTE,
-			    	"enable_fp %d  instance->fast_path_io %d fp_possible %d \n",
-				enable_fp, instance->fast_path_io, fp_possible));
+			if (!enable_fp)
+				fp_possible = 0;
 
+			con_log(CL_ANN1, (CE_NOTE, "enable_fp %d  "
+			    "instance->fast_path_io %d fp_possible %d",
+			    enable_fp, instance->fast_path_io, fp_possible));
+
 		if (fp_possible) {
 
-			/* Check for DIF enabled LD */	
+			/* Check for DIF enabled LD */
 			if (MR_CheckDIF(acmd->device_id, local_map_ptr)) {
 				/* Prepare 32 Byte CDB for DIF capable Disk */
 				mrsas_tbolt_prepare_cdb(instance,
-			    	    scsi_raid_io->CDB.CDB32,
-			    	    &io_info,
-			    	    scsi_raid_io,
-			    	    start_lba_lo);
+				    scsi_raid_io->CDB.CDB32,
+				    &io_info, scsi_raid_io, start_lba_lo);
 			} else {
 				mrsas_tbolt_set_pd_lba(scsi_raid_io->CDB.CDB32,
-				   (uint8_t *)&pd_cmd_cdblen, io_info.pdBlock, io_info.numBlocks, 0);
-				ddi_put16(instance->mpi2_frame_pool_dma_obj.acc_handle,
-	    					&scsi_raid_io->IoFlags,
-	    					pd_cmd_cdblen); 
+				    (uint8_t *)&pd_cmd_cdblen,
+				    io_info.pdBlock, io_info.numBlocks);
+				ddi_put16(acc_handle,
+				    &scsi_raid_io->IoFlags, pd_cmd_cdblen);
 			}
 
-			ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-			    &scsi_raid_io->Function,
+			ddi_put8(acc_handle, &scsi_raid_io->Function,
 			    MPI2_FUNCTION_SCSI_IO_REQUEST);
 
 			ReqDescUnion->SCSIIO.RequestFlags =
@@ -1662,45 +1640,58 @@
 			    MPI2_REQ_DESCRIPT_FLAGS_TYPE_SHIFT);
 
 			if (instance->device_id == PCI_DEVICE_ID_LSI_INVADER) {
-				uint8_t regLockFlags = ddi_get8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-								&scsi_raid_io->RaidContext.regLockFlags);
-				uint16_t IoFlags = ddi_get16(instance->mpi2_frame_pool_dma_obj.acc_handle,
-								&scsi_raid_io->IoFlags);
+				uint8_t regLockFlags = ddi_get8(acc_handle,
+				    &scsi_raid_io->RaidContext.regLockFlags);
+				uint16_t IoFlags = ddi_get16(acc_handle,
+				    &scsi_raid_io->IoFlags);
 
 				if (regLockFlags == REGION_TYPE_UNUSED)
-					ReqDescUnion->SCSIIO.RequestFlags = 
-						(MPI2_REQ_DESCRIPT_FLAGS_NO_LOCK << MPI2_REQ_DESCRIPT_FLAGS_TYPE_SHIFT);
+					ReqDescUnion->SCSIIO.RequestFlags =
+					    (MPI2_REQ_DESCRIPT_FLAGS_NO_LOCK <<
+					    MPI2_REQ_DESCRIPT_FLAGS_TYPE_SHIFT);
 
-				IoFlags |= MPI25_SAS_DEVICE0_FLAGS_ENABLED_FAST_PATH;
-				regLockFlags |= (MR_RL_FLAGS_GRANT_DESTINATION_CUDA | MR_RL_FLAGS_SEQ_NUM_ENABLE);
+				IoFlags |=
+				    MPI25_SAS_DEVICE0_FLAGS_ENABLED_FAST_PATH;
+				regLockFlags |=
+				    (MR_RL_FLAGS_GRANT_DESTINATION_CUDA |
+				    MR_RL_FLAGS_SEQ_NUM_ENABLE);
 
-				ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-							&scsi_raid_io->ChainOffset, 0);
-				ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-						    &scsi_raid_io->RaidContext.nsegType, ((0x01 << MPI2_NSEG_FLAGS_SHIFT) | MPI2_TYPE_CUDA));
-				ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-						    &scsi_raid_io->RaidContext.regLockFlags, regLockFlags);
-				ddi_put16(instance->mpi2_frame_pool_dma_obj.acc_handle,
-						    &scsi_raid_io->IoFlags, IoFlags);
+				ddi_put8(acc_handle,
+				    &scsi_raid_io->ChainOffset, 0);
+				ddi_put8(acc_handle,
+				    &scsi_raid_io->RaidContext.nsegType,
+				    ((0x01 << MPI2_NSEG_FLAGS_SHIFT) |
+				    MPI2_TYPE_CUDA));
+				ddi_put8(acc_handle,
+				    &scsi_raid_io->RaidContext.regLockFlags,
+				    regLockFlags);
+				ddi_put16(acc_handle,
+				    &scsi_raid_io->IoFlags, IoFlags);
 			}
 
-			if ((instance->load_balance_info[acmd->device_id].loadBalanceFlag) && (io_info.isRead)) {
-				io_info.devHandle = get_updated_dev_handle(&instance->load_balance_info[acmd->device_id], &io_info);
-				cmd->load_balance_flag |= MEGASAS_LOAD_BALANCE_FLAG;
-			} else
-				cmd->load_balance_flag &= ~MEGASAS_LOAD_BALANCE_FLAG;
+			if ((instance->load_balance_info[
+			    acmd->device_id].loadBalanceFlag) &&
+			    (io_info.isRead)) {
+				io_info.devHandle =
+				    get_updated_dev_handle(&instance->
+				    load_balance_info[acmd->device_id],
+				    &io_info);
+				cmd->load_balance_flag |=
+				    MEGASAS_LOAD_BALANCE_FLAG;
+			} else {
+				cmd->load_balance_flag &=
+				    ~MEGASAS_LOAD_BALANCE_FLAG;
+			}
 
-			ReqDescUnion->SCSIIO.DevHandle = io_info.devHandle; 
-			ddi_put16(instance->mpi2_frame_pool_dma_obj.acc_handle,
-			    &scsi_raid_io->DevHandle,
+			ReqDescUnion->SCSIIO.DevHandle = io_info.devHandle;
+			ddi_put16(acc_handle, &scsi_raid_io->DevHandle,
 			    io_info.devHandle);
 
 		} else {
-			ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-			    &scsi_raid_io->Function,
+			ddi_put8(acc_handle, &scsi_raid_io->Function,
 			    MPI2_FUNCTION_LD_IO_REQUEST);
 
-			ddi_put16(instance->mpi2_frame_pool_dma_obj.acc_handle,
+			ddi_put16(acc_handle,
 			    &scsi_raid_io->DevHandle, acmd->device_id);
 
 			ReqDescUnion->SCSIIO.RequestFlags =
@@ -1707,55 +1698,58 @@
 			    (MPI2_REQ_DESCRIPT_FLAGS_LD_IO <<
 			    MPI2_REQ_DESCRIPT_FLAGS_TYPE_SHIFT);
 
-			ddi_put16(instance->mpi2_frame_pool_dma_obj.acc_handle,
-					    &scsi_raid_io->RaidContext.timeoutValue, local_map_ptr->raidMap.fpPdIoTimeoutSec);
+			ddi_put16(acc_handle,
+			    &scsi_raid_io->RaidContext.timeoutValue,
+			    local_map_ptr->raidMap.fpPdIoTimeoutSec);
 
 			if (instance->device_id == PCI_DEVICE_ID_LSI_INVADER) {
-				uint8_t regLockFlags = ddi_get8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-									&scsi_raid_io->RaidContext.regLockFlags);
+				uint8_t regLockFlags = ddi_get8(acc_handle,
+				    &scsi_raid_io->RaidContext.regLockFlags);
 
-				if (regLockFlags == REGION_TYPE_UNUSED)
-					ReqDescUnion->SCSIIO.RequestFlags = 
-						(MPI2_REQ_DESCRIPT_FLAGS_NO_LOCK << MPI2_REQ_DESCRIPT_FLAGS_TYPE_SHIFT);
+				if (regLockFlags == REGION_TYPE_UNUSED) {
+					ReqDescUnion->SCSIIO.RequestFlags =
+					    (MPI2_REQ_DESCRIPT_FLAGS_NO_LOCK <<
+					    MPI2_REQ_DESCRIPT_FLAGS_TYPE_SHIFT);
+				}
 
-				regLockFlags |= (MR_RL_FLAGS_GRANT_DESTINATION_CPU0 | MR_RL_FLAGS_SEQ_NUM_ENABLE);
+				regLockFlags |=
+				    (MR_RL_FLAGS_GRANT_DESTINATION_CPU0 |
+				    MR_RL_FLAGS_SEQ_NUM_ENABLE);
 
-				ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-						    &scsi_raid_io->RaidContext.nsegType, ((0x01 << MPI2_NSEG_FLAGS_SHIFT) | MPI2_TYPE_CUDA));
-				ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-						    &scsi_raid_io->RaidContext.regLockFlags, regLockFlags);
+				ddi_put8(acc_handle,
+				    &scsi_raid_io->RaidContext.nsegType,
+				    ((0x01 << MPI2_NSEG_FLAGS_SHIFT) |
+				    MPI2_TYPE_CUDA));
+				ddi_put8(acc_handle,
+				    &scsi_raid_io->RaidContext.regLockFlags,
+				    regLockFlags);
 			}
-	
 		} /* Not FP */
 
-		/*Release SYNC MAP UPDATE lock */
+		/* Release SYNC MAP UPDATE lock */
 		mutex_exit(&instance->sync_map_mtx);
 
-		
-		/* Set sense buffer physical address/length in scsi_io_request.*/
-		ddi_put32(instance->mpi2_frame_pool_dma_obj.acc_handle,
-		    &scsi_raid_io->SenseBufferLowAddress,
+
+		/*
+		 * Set sense buffer physical address/length in scsi_io_request.
+		 */
+		ddi_put32(acc_handle, &scsi_raid_io->SenseBufferLowAddress,
 		    cmd->sense_phys_addr1);
-		ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-		    &scsi_raid_io->SenseBufferLength,
-		    SENSE_LENGTH); 
-			
-		/* Construct SGL*/			
-		ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-		    &scsi_raid_io->SGLOffset0,
+		ddi_put8(acc_handle, &scsi_raid_io->SenseBufferLength,
+		    SENSE_LENGTH);
+
+		/* Construct SGL */
+		ddi_put8(acc_handle, &scsi_raid_io->SGLOffset0,
 		    offsetof(MPI2_RAID_SCSI_IO_REQUEST, SGL) / 4);
 
-		mr_sas_tbolt_build_sgl(instance, acmd, cmd,
+		(void) mr_sas_tbolt_build_sgl(instance, acmd, cmd,
 		    scsi_raid_io, &datalen);
 
-		ddi_put32(instance->mpi2_frame_pool_dma_obj.acc_handle,
-		    &scsi_raid_io->DataLength, datalen);
+		ddi_put32(acc_handle, &scsi_raid_io->DataLength, datalen);
 
 		break;
-
-	}
-	else {
 #ifndef PDSUPPORT	/* if PDSUPPORT, skip break and fall through */
+	} else {
 		break;
 #endif
 	}
@@ -1762,7 +1756,7 @@
 	/* fall through For all non-rd/wr cmds */
 	default:
 		switch (pkt->pkt_cdbp[0]) {
-		case 0x35: { // SCMD_SYNCHRONIZE_CACHE
+		case 0x35: { /* SCMD_SYNCHRONIZE_CACHE */
 			return_raid_msg_pkt(instance, cmd);
 			*cmd_done = 1;
 			return (NULL);
@@ -1787,74 +1781,86 @@
 		}
 
 		default: {
-			/* Here we need to handle PASSTHRU for
-			   Logical Devices. Like Inquiry etc.*/
+			/*
+			 * Here we need to handle PASSTHRU for
+			 * Logical Devices. Like Inquiry etc.
+			 */
 
-			if(!(acmd->islogical)) {
+			if (!(acmd->islogical)) {
 
-				/* Aquire SYNC MAP UPDATE lock */
+				/* Acquire SYNC MAP UPDATE lock */
 				mutex_enter(&instance->sync_map_mtx);
 
-				local_map_ptr = instance->ld_map[(instance->map_id & 1)];	
-			
-				ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-				    &scsi_raid_io->Function, MPI2_FUNCTION_SCSI_IO_REQUEST);
-			
+				local_map_ptr =
+				    instance->ld_map[(instance->map_id & 1)];
+
+				ddi_put8(acc_handle, &scsi_raid_io->Function,
+				    MPI2_FUNCTION_SCSI_IO_REQUEST);
+
 				ReqDescUnion->SCSIIO.RequestFlags =
-					(MPI2_REQ_DESCRIPT_FLAGS_HIGH_PRIORITY <<
-						MPI2_REQ_DESCRIPT_FLAGS_TYPE_SHIFT);
+				    (MPI2_REQ_DESCRIPT_FLAGS_HIGH_PRIORITY <<
+				    MPI2_REQ_DESCRIPT_FLAGS_TYPE_SHIFT);
 
-				ddi_put16(instance->mpi2_frame_pool_dma_obj.acc_handle,
-					&scsi_raid_io->DevHandle,
-						local_map_ptr->raidMap.devHndlInfo[acmd->device_id].curDevHdl);
-		
+				ddi_put16(acc_handle, &scsi_raid_io->DevHandle,
+				    local_map_ptr->raidMap.
+				    devHndlInfo[acmd->device_id].curDevHdl);
 
-				/*Set regLockFlasgs to REGION_TYPE_BYPASS */
-				ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-					&scsi_raid_io->RaidContext.regLockFlags, 0);
-				ddi_put64(instance->mpi2_frame_pool_dma_obj.acc_handle,
-					&scsi_raid_io->RaidContext.regLockRowLBA, 0);
-				ddi_put32(instance->mpi2_frame_pool_dma_obj.acc_handle,
-					&scsi_raid_io->RaidContext.regLockLength, 0);
-				ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle, &scsi_raid_io->RaidContext.RAIDFlags,
-					MR_RAID_FLAGS_IO_SUB_TYPE_SYSTEM_PD << MR_RAID_CTX_RAID_FLAGS_IO_SUB_TYPE_SHIFT);
-				ddi_put16(instance->mpi2_frame_pool_dma_obj.acc_handle,
-				    &scsi_raid_io->RaidContext.timeoutValue, local_map_ptr->raidMap.fpPdIoTimeoutSec);
-				ddi_put16(instance->mpi2_frame_pool_dma_obj.acc_handle,
-					&scsi_raid_io->RaidContext.ldTargetId, acmd->device_id);
-				ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-					&scsi_raid_io->LUN[1], acmd->lun); 
 
+				/* Set regLockFlasgs to REGION_TYPE_BYPASS */
+				ddi_put8(acc_handle,
+				    &scsi_raid_io->RaidContext.regLockFlags, 0);
+				ddi_put64(acc_handle,
+				    &scsi_raid_io->RaidContext.regLockRowLBA,
+				    0);
+				ddi_put32(acc_handle,
+				    &scsi_raid_io->RaidContext.regLockLength,
+				    0);
+				ddi_put8(acc_handle,
+				    &scsi_raid_io->RaidContext.RAIDFlags,
+				    MR_RAID_FLAGS_IO_SUB_TYPE_SYSTEM_PD <<
+				    MR_RAID_CTX_RAID_FLAGS_IO_SUB_TYPE_SHIFT);
+				ddi_put16(acc_handle,
+				    &scsi_raid_io->RaidContext.timeoutValue,
+				    local_map_ptr->raidMap.fpPdIoTimeoutSec);
+				ddi_put16(acc_handle,
+				    &scsi_raid_io->RaidContext.ldTargetId,
+				    acmd->device_id);
+				ddi_put8(acc_handle,
+				    &scsi_raid_io->LUN[1], acmd->lun);
+
 				/* Release SYNC MAP UPDATE lock */
 				mutex_exit(&instance->sync_map_mtx);
-			
+
 			} else {
-				ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-						&scsi_raid_io->Function, MPI2_FUNCTION_LD_IO_REQUEST);
-				ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-						&scsi_raid_io->LUN[1], acmd->lun);
-				ddi_put16(instance->mpi2_frame_pool_dma_obj.acc_handle,
-						&scsi_raid_io->DevHandle, acmd->device_id);
-				ReqDescUnion->SCSIIO.RequestFlags = 
-					(MPI2_REQ_DESCRIPT_FLAGS_SCSI_IO << MPI2_REQ_DESCRIPT_FLAGS_TYPE_SHIFT);
+				ddi_put8(acc_handle, &scsi_raid_io->Function,
+				    MPI2_FUNCTION_LD_IO_REQUEST);
+				ddi_put8(acc_handle,
+				    &scsi_raid_io->LUN[1], acmd->lun);
+				ddi_put16(acc_handle,
+				    &scsi_raid_io->DevHandle, acmd->device_id);
+				ReqDescUnion->SCSIIO.RequestFlags =
+				    (MPI2_REQ_DESCRIPT_FLAGS_SCSI_IO <<
+				    MPI2_REQ_DESCRIPT_FLAGS_TYPE_SHIFT);
 			}
 
-			/* Set sense buffer physical address/length in scsi_io_request.*/
-			ddi_put32(instance->mpi2_frame_pool_dma_obj.acc_handle,
+			/*
+			 * Set sense buffer physical address/length in
+			 * scsi_io_request.
+			 */
+			ddi_put32(acc_handle,
 			    &scsi_raid_io->SenseBufferLowAddress,
 			    cmd->sense_phys_addr1);
-			ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
+			ddi_put8(acc_handle,
 			    &scsi_raid_io->SenseBufferLength, SENSE_LENGTH);
 
-			/* Construct SGL*/			
-			ddi_put8(instance->mpi2_frame_pool_dma_obj.acc_handle,
-			    &scsi_raid_io->SGLOffset0,
+			/* Construct SGL */
+			ddi_put8(acc_handle, &scsi_raid_io->SGLOffset0,
 			    offsetof(MPI2_RAID_SCSI_IO_REQUEST, SGL) / 4);
 
-			mr_sas_tbolt_build_sgl(instance, acmd, cmd,
+			(void) mr_sas_tbolt_build_sgl(instance, acmd, cmd,
 			    scsi_raid_io, &datalen);
 
-			ddi_put32(instance->mpi2_frame_pool_dma_obj.acc_handle,
+			ddi_put32(acc_handle,
 			    &scsi_raid_io->DataLength, datalen);
 
 
@@ -1867,14 +1873,11 @@
 			con_log(CL_DLEVEL1, (CE_CONT,
 			    "cdb length = %x\n",
 			    acmd->cmd_cdblen));
-			}
+		}
 			break;
 		}
 
 	}
-#ifdef lint
-	context = context;
-#endif
 
 	return (cmd);
 }
@@ -1983,16 +1986,18 @@
 
 	struct scsi_pkt *pkt;
 
-	con_log(CL_ANN1, (CE_NOTE, "tbolt_issue_cmd: cmd->[SMID]=0x%X", cmd->SMID));
+	con_log(CL_ANN1,
+	    (CE_NOTE, "tbolt_issue_cmd: cmd->[SMID]=0x%X", cmd->SMID));
 
 	con_log(CL_DLEVEL1, (CE_CONT,
-	    " [req desc Words] %llx \n", req_desc->Words));
+	    " [req desc Words] %" PRIx64 " \n", req_desc->Words));
 	con_log(CL_DLEVEL1, (CE_CONT,
-	    " [req desc low part] %x \n", req_desc->Words));
+	    " [req desc low part] %x \n",
+	    (uint_t)(req_desc->Words & 0xffffffffff)));
 	con_log(CL_DLEVEL1, (CE_CONT,
-	    " [req desc high part] %x \n", (req_desc->Words >> 32)));
+	    " [req desc high part] %x \n", (uint_t)(req_desc->Words >> 32)));
 	pkt = cmd->pkt;
-	
+
 	if (pkt) {
 		con_log(CL_ANN1, (CE_CONT, "%llx :TBOLT issue_cmd_ppc:"
 		    "ISSUED CMD TO FW : called : cmd:"
@@ -2034,7 +2039,9 @@
 	struct mrsas_header	*hdr;
 	hdr = (struct mrsas_header *)&cmd->frame->hdr;
 
-	con_log(CL_ANN, (CE_NOTE, "tbolt_issue_cmd_in_sync_mode: cmd->[SMID]=0x%X", cmd->SMID));
+	con_log(CL_ANN,
+	    (CE_NOTE, "tbolt_issue_cmd_in_sync_mode: cmd->[SMID]=0x%X",
+	    cmd->SMID));
 
 
 	if (instance->adapterresetinprogress) {
@@ -2043,7 +2050,7 @@
 		if (cmd->drv_pkt_time < debug_timeout_g)
 			cmd->drv_pkt_time = (uint16_t)debug_timeout_g;
 		con_log(CL_ANN, (CE_NOTE, "tbolt_issue_cmd_in_sync_mode:"
-		    "RESET-IN-PROGRESS, issue cmd & return.\n"));
+		    "RESET-IN-PROGRESS, issue cmd & return."));
 
 		mutex_enter(&instance->reg_write_mtx);
 		WR_IB_LOW_QPORT((uint32_t)(req_desc->Words), instance);
